Bug 1126863 - JTA separate DS - Oracle DB
Summary: JTA separate DS - Oracle DB
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER05
: 6.2.0
Assignee: mposolda
QA Contact: vramik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 13:32 UTC by vramik
Modified: 2015-03-04 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Comment 2 mposolda 2014-08-06 15:37:27 UTC
It's failing because both datasources are using same oracle database, which doesn't work correctly with JTA. I've added warning into https://docs.jboss.org/author/display/GTNPORTAL38/JTA+integration section 2.b.

For testing it with XA datasources, you need to ensure that either:
- Both datasources are using different database
- Portal is using shared XA datasource for both IDM and JCR

Comment 3 Tomas Kyjovsky 2014-08-11 15:29:57 UTC
I tested with oracle11gR1 for IDM xa-datasource and oracle11gR2 for JCR xa-datasource (separate ds scenario). Portal started without errors and I didn't encounter any problems while doing a quick manual test.

Comment 4 Tomas Kyjovsky 2015-03-04 12:42:50 UTC
Verified in 6.2.0.ER8. Clean startup & manual CRUD test with navigation node and user.

DS combinations, IDM + JCR:
a) 11gR1 + 11gR2
b) 11gR1RAC + 11gR2RAC
c) 11gR2 + 12c


Note You need to log in before you can comment on or make changes to this bug.